import request from '@/utils/request'

// 查询系统监测列表
export function listXtjc(query) {
  return request({
    url: '/tcZz/networkSecurity/xtjc/ListNoToken',
    method: 'get',
    params: query
  })
}

// 查询系统监测详细
export function getXtjc(id) {
  return request({
    url: '/tcZz/networkSecurity/xtjc/' + id,
    method: 'get'
  })
}

// 新增系统监测
export function addXtjc(data) {
  return request({
    url: '/tcZz/networkSecurity/xtjc',
    method: 'post',
    data: data
  })
}

// 修改系统监测
export function updateXtjc(data) {
  return request({
    url: '/tcZz/networkSecurity/xtjc',
    method: 'put',
    data: data
  })
}

// 删除系统监测
export function delXtjc(id) {
  return request({
    url: '/tcZz/networkSecurity/xtjc/' + id,
    method: 'delete'
  })
}
//批量启用禁用
export function isStatusXtjc(params) {
  return request({
    url: '/tcZz/networkSecurity/xtjc/isStatus',
    method: 'get',
    params
  })
}
//通用导入信息
export function importXtjc(data) {
  return request({
    url: '/tcZz/networkSecurity/xtjc/common/importExcel',
    method: 'post',
    data
  })
}